Browse Source

build: Make sure the installed 'config.go' is newer than 'config.scm'.

Fixes <http://bugs.gnu.org/19317>.
Reported by rekado <rekado@elephly.net>.

* gnu-system.am (install-data-hook): Rename to...
  (set-bootstrap-executable-permissions): ... this.
* Makefile.am (install-data-hook): New target.
gn-latest-20200428
Ludovic Courtès 7 years ago
parent
commit
6005bd0700
2 changed files with 8 additions and 1 deletions
  1. +7
    -0
      Makefile.am
  2. +1
    -1
      gnu-system.am

+ 7
- 0
Makefile.am View File

@ -282,6 +282,13 @@ SUFFIXES = .go
guix_install_go_files = install-nobase_nodist_guilemoduleDATA
$(guix_install_go_files): install-nobase_dist_guilemoduleDATA
# The above trick doesn't work for 'config.go' because both 'config.scm' and
# 'config.go' are listed in $(nobase_nodist_guilemodule_DATA). Thus, give it
# special treatment.
install-data-hook: set-bootstrap-executable-permissions
touch "$(DESTDIR)$(guilemoduledir)/guix/config.go"
SUBDIRS = po/guix po/packages
BUILT_SOURCES =


+ 1
- 1
gnu-system.am View File

@ -484,7 +484,7 @@ nodist_bootstrap_mips64el_linux_DATA = \
# Those files must remain executable, so they remain executable once
# imported into the store.
install-data-hook:
set-bootstrap-executable-permissions:
chmod +x $(DESTDIR)$(bootstrapdir)/*/{bash,mkdir,tar,xz}
DISTCLEANFILES = \


Loading…
Cancel
Save